package com.wissamfawaz;

@FunctionalInterface
public interface Formula {
	public double calculate(int val);
	public default double sqrt(int val) {
		return Math.sqrt(val);
	}
	public static double exp(int val) {
		return Math.exp(val);
	}
}
