package com.wissamfawaz;

import java.util.stream.IntStream;

public class Main {

	public static void main(String[] args) {
		int sum = 0;
		for(int number = 1; number<= 10; number++)
			sum += number;
		
		System.out.println("Sum of values between 1 and 10 using a loop: " + sum);
		
		sum = IntStream.rangeClosed(1, 10)
				       .sum();

		System.out.println("Sum of values between 1 and 10 using streams: " + sum);
		
		sum = 0;
		for(int number = 2; number<=20; number+=2)
			sum += number;
		System.out.println("Sum of even values between 2 and 20 using a loop: " + sum);
		
		sum = IntStream.rangeClosed(1, 10)
					   .map(val -> val * 2)
					   .sum();
		System.out.println("Sum of even values between 2 and 20 using a stream: " + sum);
		
		sum = 0;
		for(int number = 1; number<=10; number++)
			if(number % 2 == 0)
				sum+=number*3;
		
		System.out.println("Sum of even values scaled by 3 using a loop: " + sum);
		
		sum = IntStream.rangeClosed(1, 10)
				       .filter(val -> val % 2 == 0)
				       .map(val -> val * 3)
				       .sum();
		System.out.println("Sum of even values scaled by 3 using a stream: " + sum);
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
	}

}
