package com.wissamfawaz;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class PatternDemo {

	public static void main(String[] args) {
		String birthdays = "Chen's birthday is 13/05/1960\n" +
				"Chadi's birthday is 01/04/2009\n" + 
				"Carl's birthday is 13/05/2007\n";
		
		Pattern pattern = Pattern.compile("C.*\\d{2}[-/](0[1-35-9]|1[0-2])[-/]\\d{4}");
		Matcher matcher = pattern.matcher(birthdays);
		
		while(matcher.find())
			System.out.println(matcher.group(1));

	}

}
